CREATE TABLE LABORATORY (
  number INTEGER PRIMARY KEY,
  name TEXT NOT NULL,
  capacity INTEGER NOT NULL,
  Disposition TEXT NOT NULL
);

CREATE TABLE STUDENT (
  id INTEGER PRIMARY KEY,
  name TEXT NOT NULL,
  year INTEGER NOT NULL
);

CREATE TABLE WORK (
  number INTEGER PRIMARY KEY,
  name TEXT NOT NULL
);

CREATE TABLE PLAN (
  studentId INTEGER,
  workNum INTEGER,
  labNum INTEGER,
  
  PRIMARY KEY(studentId, workNum, labNum),
  FOREIGN KEY (studentId)  REFERENCES STUDENT (id),
  FOREIGN KEY (workNum)  REFERENCES WORK (number)
);

CREATE TABLE REPORT (
  studentId INTEGER,
  workNum INTEGER,
  file TEXT,
  
  FOREIGN KEY (studentId)  REFERENCES STUDENT (id),
  FOREIGN KEY (workNum)  REFERENCES WORK (number)
);